Cancel or Refund a Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⚠️

Do not execute a refund while another is in progress. Wait for the current operation to complete before starting a new one.

This service allows you to cancel or refund an existing payment. Our system will identify if a cancellation or a refund is necessary based on the payment, no transaction_id is needed in this case. This service performs the following functions based on the status of the transaction:

  • Cancels the payment if it has not been captured.
  • Refunds the payment if it has been captured.
📘

Refunds

If you fill out the amount field, the refund will be partial. Otherwise, it will create a complete refund. The funds will be refunded to the payment method that was originally charged.

Note that this request requires an X-Idempotency-Key. Check the Authentication page for more information.

Path Params
string
required

The unique identifier of the payment (UUID, 36 chars).

Body Params
string

Description of the cancellation or refund. (MAX 255; MIN 3).

string
enum
required

Indicating the reason for the cancellation or refund. If set, possible values are DUPLICATE, FRAUDULENT, REQUESTED_BY_CUSTOMER, and REVERSE. Use REVERSE to request an automatic reverse of the recipient funds when a recipient is involved in the transaction.

Allowed:
string

Identification of the payment transaction defined by the merchant. If no merchant_reference is defined, the merchant_order_id of the payment will be associated to the transaction. (MAX 255; MIN 3).

amount
object

Specifies the amount object for refund.

split_marketplace
array of objects

Split marketplace array of objects

split_marketplace
boolean
Defaults to false

Indicates if we should try to refund a payment after an error/declined on the first try. It is false by default. For more information, access the guide.

response_additional_data
object

Specifies additional data for required the transaction response

customer_payer
object

Specifies customer object for payments.

payment_method
object

Specifies payment method object for payments.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json